> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.itential.com/itential-cloud/api-reference/automation-studio/export-template/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.itential.com/_mcp/server. # Export a template document GET https://example.itential.io/automation-studio/templates/{id}/export Exports a template document. Reference: https://docs.itential.com/itential-cloud/api-reference/automation-studio/export-template ## Authentication - `Authorization` header (basic auth, required) — Basic authentication of the form `Basic `. ## Request ### Path parameters - `id` (string, required) — Template id. ## Response ### 200 Exported representation of the template. - `any or any` ## Errors ### 500 Internal Server Error Error response from API - `any` ## Examples **Response** ```json { "_id": "string", "command": "show clock", "created": "2019-11-25T22:51:39.201Z", "createdBy": "string", "data": "Mon Jan 14 18:42:49 2013\ntimezone is US/Central", "description": "Arista Show Clock Info", "device": "Arista EOS", "group": "Arista", "lastModifiedBy": "string", "lastUpdated": "2019-11-25T22:51:39.201Z", "name": "arista_eos_show_clock", "projectId": null, "tags": [ { "_id": "string", "name": "string" } ], "template": "Value TIME (d+:d+:d+)\nValue TIMEZONE (S+)\nValue DAYWEEK (w+)\nValue MONTH (w+)\nValue DAY (d+)\nValue YEAR (d+)\n\nStart\n ^${DAYWEEK}s+${MONTH}s+${DAY}s+${TIME}s+${YEAR}\n ^[t|T]imezone(:|sis)s+${TIMEZONE} -> Record\n", "text": "Mon Jan 14 18:42:49 2013\ntimezone is US/Central", "type": "textfsm", "version": 1 } ``` **SDK Code** ```python import requests url = "https://example.itential.io/automation-studio/templates/id/export" response = requests.get(url) print(response.json()) ``` ```javascript const url = 'https://example.itential.io/automation-studio/templates/id/export'; const options = {method: 'GET'}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://example.itential.io/automation-studio/templates/id/export" req, _ := http.NewRequest("GET", url, nil) res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://example.itential.io/automation-studio/templates/id/export") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://example.itential.io/automation-studio/templates/id/export") .asString(); ``` ```php request('GET', 'https://example.itential.io/automation-studio/templates/id/export'); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://example.itential.io/automation-studio/templates/id/export"); var request = new RestRequest(Method.GET); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let request = NSMutableURLRequest(url: NSURL(string: "https://example.itential.io/automation-studio/templates/id/export")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```